Skip to main content
Version: API v1

Ticketantworten auslesen

GET/v1/tickets/{ticketIdentifier}/answers
API version
v1
Request method
GET
Operation ID
listSupportTicketAnswers

Liefert alle Antworten auf ein bestimmtes Support-Ticket zurück

Request​

  • ticketIdentifierstringrequired

    Die Ticket-ID

Responses​

Format
application/json
Description

Array aller Antworten eines Support-Tickets

  • Array[
    • *object
      • uidintegerrequired
      • messagestringrequired
      • createdAtstring (datetime)required
      • authorobjectrequired
        • namestringrequired
        • emailstring (email)required
        • telephonestringrequired
        • isMittwaldAuthorbooleanrequired
      • filesarray of string (uuid)
        • Array[
          • *string (uuid)
          ]
    ]
Content-Type: application/json

[
{
"uid": 123,
"message": "string",
"createdAt": "string",
"author": {
"name": "string",
"email": "email@mittwald.example",
"telephone": "string",
"isMittwaldAuthor": true
},
"files": [
"f0f86186-0a5a-45b2-aa33-502777496347"
]
}
]
{
"type": "array",
"items": {
"title": "TicketAnswer",
"required": [
"author",
"createdAt",
"message",
"uid"
],
"type": "object",
"properties": {
"uid": {
"type": "integer"
},
"message": {
"type": "string"
},
"createdAt": {
"type": "string",
"format": "datetime"
},
"author": {
"required": [
"email",
"name",
"telephone",
"isMittwaldAuthor"
],
"type": "object",
"properties": {
"name": {
"type": "string"
},
"email": {
"type": "string",
"format": "email"
},
"telephone": {
"type": "string"
},
"isMittwaldAuthor": {
"type": "boolean"
}
}
},
"files": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
}
}
}
}
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v1/tickets/string/answers

On this page